---
time:     Tue 30 Oct 2018, 19:23:14
platform: i386-mswin32
type:     ArgumentError
message:  wrong number of arguments (0 for 2)
backtrace:
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:121:in `initialize'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:121:in `new'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:121:in `empty_item'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:177:in `insert_item'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:40:in `initialize'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:167:in `new'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:167:in `new_file'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:193:in `on_new_file'
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\app\rxdataed.rb:95:in `on_init'
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\app\rxdataed.rb:104:in `main_loop'
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\app\rxdataed.rb:104
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\bootstrap.rb:77:in `load'
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\bootstrap.rb:77
---
time:     Tue 30 Oct 2018, 19:23:35
platform: i386-mswin32
type:     ArgumentError
message:  undefined class/module Tone
backtrace:
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:78:in `load'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:78:in `load_data'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:78:in `open'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:78:in `load_data'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/editor_base.rb:38:in `initialize'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:183:in `new'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:183:in `open_file'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:202:in `on_open_file'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:202:in `each'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:202:in `on_open_file'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:158:in `new_file'
    - C:/Users/ScottyC/eee/eee.rxdataed.exe.2/lib/main_frame.rb:193:in `on_new_file'
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\app\rxdataed.rb:95:in `on_init'
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\app\rxdataed.rb:104:in `main_loop'
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\app\rxdataed.rb:104
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\bootstrap.rb:77:in `load'
    - C:\Users\ScottyC\eee\eee.rxdataed.exe.2\bootstrap.rb:77
